from kivymd.uix.dialog import ListMDDialog

class TreePopupMenu(ListMDDialog):        
    def __init__(self, tree_data):
        super().__init__()

        # Set all of the fields of tree data
        #headers = "Name,Lat,Lon,Description"
        headers = "FMID,MarketName,Website,Facebook,Twitter,Youtube,OtherMedia,street,city,County,State,zip,Season1Date,Season1Time,Season2Date,Season2Time,Season3Date,Season3Time,Season4Date,Season4Time,x,y,Location,Credit,WIC,WICcash,SFMNP,SNAP,Organic,Bakedgoods,Cheese,Crafts,Flowers,Eggs,Seafood,Herbs,Vegetables,Honey,Jams,Maple,Meat,Nursery,Nuts,Plants,Poultry,Prepared,Soap,Trees,Wine,Coffee,Beans,Fruits,Grains,Juices,Mushrooms,PetFood,Tofu,WildHarvested,updateTime"
        headers = headers.split(',')
        
        for i in range(len(headers)):
            attribute_name = headers[i]
            print("attr name " + attribute_name)
            attribute_value = tree_data[i]
            print("attr value " + attribute_value)
            setattr(self, attribute_name, attribute_value)
